﻿using System;

/// @author  Antti-Jussi Lakanen, Vesa Lappalainen
/// @version 2025
///
/// <summary>
/// Tehtävä 5. Suurin ja pienin.
/// </summary>
public class SuurinJaPienin
{
    /// <summary>
    /// Kysytään käyttäjältä lukuja ja tulostetaan
    /// niistä suurin ja pienin.
    /// </summary>
    /// <param name="args"></param>
    public static void Main(string[] args)
    {
        Console.Write("Anna 1. kokonaisluku >");
        int a = int.Parse(Console.ReadLine());
        Console.Write("Anna 2. kokonaisluku >");
        int b = int.Parse(Console.ReadLine());
        Console.Write("Anna 3. kokonaisluku >");
        int c = int.Parse(Console.ReadLine());

        int suurin = Suurin(a, b, c);
        int pienin = Pienin(a, b, c);

        Console.WriteLine("Suurin luku on " + suurin);
        Console.WriteLine("Pienin luku on " + pienin);
    }

    #region Ei näin

    /*

     public static int Suurin(int a, int b, int c)
    {
    int suurin = a;
    if (b > a) suurin = b;
    if (c > a && c > b) suurin = c;
    if (c == b && a == b) suurin = a;
    return suurin;
    }

    public static int Pienin(int a, int b, int c)
    {
    int pienin = a;
    if (b < a) pienin = b;
    if (c < a && c < b) pienin = c;
    if (c == b && a == b) pienin = a;
    return pienin;
    }
    */

    #endregion

    /// <summary>
    /// Kolmesta kokonaisluvuista pienin.
    /// </summary>
    /// <param name="a">Eka luku</param>
    /// <param name="b">Toka luku</param>
    /// <param name="c">Kolmas luku</param>
    /// <returns>Pienin luku kolmesta</returns>
    /// <example>
    /// <pre name="test">
    /// Pienin(1, 2, 3) === 1;
    /// Pienin(2, 1, 3) === 1;
    /// Pienin(2, 3, 3) === 2;
    /// Pienin(2, 3, 1) === 1;
    /// Pienin(3, 3, 2) === 2;
    /// Pienin(3, 2, 3) === 2;
    /// Pienin(3, 3, 3) === 3;
    /// </pre>
    /// </example>
    public static int Pienin(int a, int b, int c)
    {
        int pienin = a;
        if (b < pienin) pienin = b;
        if (c < pienin) pienin = c;
        return pienin;
    }


    /// <summary>
    /// Kolmesta kokonaisluvuista suurin.
    /// </summary>
    /// <param name="a">Eka luku</param>
    /// <param name="b">Toka luku</param>
    /// <param name="c">Kolmas luku</param>
    /// <returns>Suurin luku kolmesta</returns>
    /// <example>
    /// <pre name="test">
    /// Suurin(3, 2, 1) === 3;
    /// Suurin(2, 3, 1) === 3;
    /// Suurin(2, 1, 3) === 3;
    /// Suurin(2, 3, 3) === 3;
    /// Suurin(4, 2, 4) === 4;
    /// Suurin(1, 1, 1) === 1;
    /// Suurin(-1, -2, -1) === -1;
    /// </pre>
    /// </example>
    public static int Suurin(int a, int b, int c)
    {
        int suurin = a;
        if (b > suurin) suurin = b;
        if (c > suurin) suurin = c;
        return suurin;
    }
}